Subject: Re: What's a good default TTL for DNS keys in the kernel

From: Florian Weimer <[email-masked]>
Date: Sat, 18 Apr 2020 20:10:53 +0200

* Steve French:

>>> The question remains what the expected impact of TTL expiry is.  Will
>>> the kernel just perform a new DNS query if it needs one?
>
> For SMB3/CIFS mounts, Paulo added support last year for automatic
> reconnect if the IP address of the server changes.  It also is helpful
> when DFS (global name space) addresses change.

Do you have reference to the source code implementation?  Thanks.

Florian